<template>
  <div
    class="d-flex flex-column align-items-stretch flex-shrink-0 bg-light"
    style="width: 20vw; height: 30vh; margin-right: 10px"
  >
    <span class="fs-5 fw-semibold p-3">Menu</span>

    <div class="list-group list-group-flush">
      <router-link
        v-for="(menu, index) in menuList"
        :key="index"
        :to="menu.path"
        class="list-group-item list-group-item-action bg-light py-1 mb-1 lh-tight"
        aria-current="true"
      >
        <div class="d-flex w-100 align-items-center">
          <strong class="mb-1">{{ menu.name }}</strong>
        </div>
      </router-link>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      menuList: [
        {
          path: "/",
          name: "Dashboard",
        },
        {
          path: "/create",
          name: "Create New Appointment",
        },
        {
          path: "/appointmentList",
          name: "Appointment List",
        },
      ],
    };
  },
};
</script>

<style></style>
